cURL
curl "https://api.phrase.com/v2/projects/:project_id/screenshots/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-F branch=my-feature-branch \
-F name=A%20screenshot%20name \
-F description=A%20screenshot%20description \
-F filename=@/path/to/my/screenshot.pngphrase screenshots update \
--project_id <project_id> \
--id <id> \
--data '{"branch":"my-feature-branch", "name": "A screenshot name", "description": "A screenshot description", "filename":"/path/to/my/screenshot.png"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/screenshots/{id}"
payload = {
"branch": "my-feature-branch",
"name": "A screenshot name",
"description": "A screenshot description",
"filename": "/path/to/my/screenshot.png"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: 'my-feature-branch',
name: 'A screenshot name',
description: 'A screenshot description',
filename: '/path/to/my/screenshot.png'
})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/screenshots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d2e056aa9e70b01121f41693e344f5ee",
"name": "A screenshot name",
"description": "A screenshot description",
"screenshot_url": "http://assets.example.com/screenshot.png",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"markers_count": 0
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Screenshots
Update a screenshot
Update an existing screenshot.
PATCH
/
projects
/
{project_id}
/
screenshots
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/screenshots/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-F branch=my-feature-branch \
-F name=A%20screenshot%20name \
-F description=A%20screenshot%20description \
-F filename=@/path/to/my/screenshot.pngphrase screenshots update \
--project_id <project_id> \
--id <id> \
--data '{"branch":"my-feature-branch", "name": "A screenshot name", "description": "A screenshot description", "filename":"/path/to/my/screenshot.png"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/screenshots/{id}"
payload = {
"branch": "my-feature-branch",
"name": "A screenshot name",
"description": "A screenshot description",
"filename": "/path/to/my/screenshot.png"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: 'my-feature-branch',
name: 'A screenshot name',
description: 'A screenshot description',
filename: '/path/to/my/screenshot.png'
})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/screenshots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d2e056aa9e70b01121f41693e344f5ee",
"name": "A screenshot name",
"description": "A screenshot description",
"screenshot_url": "http://assets.example.com/screenshot.png",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"markers_count": 0
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Body
application/json
Was this page helpful?
⌘I